gnome-themes-extra-3.28

Introduction to GNOME Themes Extra

The GNOME Themes Extra package, formerly known as GNOME Themes Standard, contains various components of the default GNOME theme.

[Note]

Note

Development versions of BLFS may not build or run some packages properly if dependencies have been updated since the most recent stable versions of the book.

Package Information

GNOME Themes Extra Dependencies

Required

GTK+-2.24.33 or GTK+-3.24.34 with librsvg-2.54.5 or both

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gnome-themes-extra

Installation of GNOME Themes Extra

Install GNOME Themes Extra by running the following commands:

./configure --prefix=/usr &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Command Explanations

--disable-gtk2-engine: This switch disables the GTK+-2 theming engine.

--disable-gtk3-engine: This switch disables the GTK+-3 theming engine.

Contents

Installed Programs: None
Installed Library: libadwaita.so
Installed Directories: /usr/lib/gtk-2.0/2.10.0/engines, /usr/share/icons/HighContrast, /usr/share/themes/Adwaita, /usr/share/themes/Adwaita-dark, and /usr/share/themes/HighContrast

Short Descriptions

libadwaita.so

is the Adwaita GTK+-2 engine theme